https://api.codat.io/companies/{companyId}/connections/{connectionId}/push/accountsCreates a new account for a given company. Required data may vary by integration. To see what data to post, first call Get create account model. > **Supported Integrations** > > Check out our Knowledge UI for integrations that support creating an account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api.codat.io/companies/{companyId}/connections/{connectionId}/push/accounts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://api.codat.io/companies/{companyId}/connections/{connectionId}/push/accountsCreates a new account for a given company. Required data may vary by integration. To see what data to post, first call Get create account model. > **Supported Integrations** > > Check out our Knowledge UI for integrations that support creating an account.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://api.codat.io/companies/{companyId}/connections/{connectionId}/push/accounts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}